> For the complete documentation index, see [llms.txt](https://docs.powershelluniversal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.powershelluniversal.com/v1/dashboard/components/feedback/progress.md).

# Progress

## Circular Progress

![](/files/-MAgHkUZX4HQeyJN4swj)

```
New-UDProgress -Circular -Color Blue
```

## Linear Indeterminate

![](/files/-MAgHt3uprmRcPXzDcEj)

```
New-UDProgress
```

## Linear Determinate

![](/files/-MAgI-Os8tsp5Xm7hKXv)

```
New-UDProgress -PercentComplete 75
```

**New-UDProgress**

| Name            | Type            | Description                                            | Required |
| --------------- | --------------- | ------------------------------------------------------ | -------- |
| Id              | String          | The ID of the component. It defaults to a random GUID. | false    |
| PercentComplete | Object          | The percent complete for the progress.                 | false    |
| BackgroundColor | DashboardColor  | The background color.                                  | false    |
| ProgressColor   | DashboardColor  | The progress bar color.                                | false    |
| Circular        | SwitchParameter | Whether the progress is circular.                      | false    |
| Color           | String          | The color of the progress.                             | false    |
| Size            | String          | The size of the progress.                              | false    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v1/dashboard/components/feedback/progress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
